Page MenuHomePhabricator

Unable to "Edit pages on double click": Uncaught TypeError: Cannot call method 'click' of undefined
Closed, ResolvedPublic

Description

Details

Reference
bz57713

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:28 AM
bzimport set Reference to bz57713.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Nov 28 2013, 2:24 PM

Isn't this a core error then? Can you please move it?

Maybe. But all non-Wikidata pages have a "ca-edit" link, so the code works fine.

Change 174679 had a related patch set uploaded by Thiemo Mättig (WMDE):
Do not call click on undefined

https://gerrit.wikimedia.org/r/174679

(In reply to Helder from comment #3)

all non-Wikidata pages have a "ca-edit" link

The code is in core. Core shouldn't make such assumptions, especially since ContentHandlers are supported. However, creating a fix is dead simple. Merging not so much. Let's see what happens.

Just to clarify: the feature should work (not just not trow an error). When the user double click in a field, it should enter in edit mode.

(In reply to Helder from comment #6)

When
the user double click in a field, it should enter in edit mode.

That's unrelated to this report. Please open a separate one for this feature request.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
He7d3r updated the task description. (Show Details)Dec 1 2014, 3:01 PM
He7d3r set Security to None.
Krinkle closed this task as Resolved.Dec 1 2014, 10:37 PM
Krinkle claimed this task.